## sphinx-intl 2.0.1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = sphinx-intl
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## sphinx-intl 0.9.10

=== debian/changelog ===
sphinx-intl (0.9.10-1) unstable; urgency=medium

  * Initial release (Closes: #875432)

 -- Hideki Yamane <henrich@debian.org>  Sat, 30 Sep 2017 22:30:18 +0900

=== debian/control ===
Source: sphinx-intl
Section: python
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.1.1
Homepage: https://github.com/sphinx-doc/sphinx-intl
#Vcs-Git: https://anonscm.debian.org/collab-maint/sphinx-intl.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sphinx-intl.git
X-Python3-Version: >= 3.4

Package: sphinx-intl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Enhances: python3-sphinx 
Description: translation support utility for Sphinx
 sphinx-intl is a utility tool that provides several features that make it
 easy to translate and to apply translation to Sphinx generated document.
 .
 (Optional: support the Transifex service for translation with Sphinx)

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PyPI
https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## sphinx-intl 0.9.11

=== debian/changelog ===
sphinx-intl (0.9.11-2) unstable; urgency=medium

  * debian/patches
    - Add reproducible_build.patch (Closes: #881258)

 -- Hideki Yamane <henrich@debian.org>  Sat, 31 Mar 2018 18:49:11 +0900

sphinx-intl (0.9.11-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright year
  * debian/compat
    - set 11
  * debian/control
    - set Build-Depends: debhelper (>= 11)
    - set Standards-Version: 4.1.3
    - set Maintainer: DPMT <python-modules-team@lists.alioth.debian.org>
      and me as Uploaders
    - set Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Sat, 31 Mar 2018 14:14:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: sphinx-intl
 Section: python
 Priority: optional
-Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Hideki Yamane <henrich@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/sphinx-doc/sphinx-intl
-#Vcs-Git: https://anonscm.debian.org/collab-maint/sphinx-intl.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sphinx-intl.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-intl.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-intl
 X-Python3-Version: >= 3.4
 
 Package: sphinx-intl

## sphinx-intl 0.9.12

=== debian/changelog ===
sphinx-intl (0.9.12-1) unstable; urgency=medium

  * New upstream release 0.9.12
  * debian/control
    - drop python3.4 support as upstream did
    - use dh12
    - set Rules-Requires-Root: no
    - set Standards-Version: 4.3.0
  * debian/copyright
    - update copyright year
  * debian/gbp.conf

 -- Hideki Yamane <henrich@debian.org>  Fri, 17 May 2019 10:04:26 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/sphinx-doc/sphinx-intl
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-intl.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-intl
-X-Python3-Version: >= 3.4
+X-Python3-Version: >= 3.5
+Rules-Requires-Root: no
 
 Package: sphinx-intl
 Architecture: any

## sphinx-intl 1.0.0

=== debian/changelog ===
sphinx-intl (1.0.0-1) unstable; urgency=medium

  * New upstream release 1.0.0

 -- Hideki Yamane <henrich@debian.org>  Mon, 20 May 2019 05:35:33 +0900

## sphinx-intl 2.0.0

=== debian/changelog ===
sphinx-intl (2.0.0-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * d/control: Remove trailing whitespaces.
  * d/control: Remove ancient X-Python3-Version field.

  [ Hideki Yamane ]
  * update debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Sun, 18 Aug 2019 20:14:56 +0900

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/sphinx-doc/sphinx-intl
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-intl.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-intl
-X-Python3-Version: >= 3.5
 Rules-Requires-Root: no
 
 Package: sphinx-intl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Enhances: python3-sphinx 
+Enhances: python3-sphinx
 Description: translation support utility for Sphinx
  sphinx-intl is a utility tool that provides several features that make it
  easy to translate and to apply translation to Sphinx generated document.

## sphinx-intl 2.0.1

=== debian/changelog ===
sphinx-intl (2.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:49:43 -0400

sphinx-intl (2.0.1-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/control
    - Drop debhelper and set debhelper-compat (= 13)
  * debian/watch
    - Adjust uscan to detect upstream pre-release
  * debian/salsa-ci.yml
    - Ignore unnecessary tests

 -- Hideki Yamane <henrich@debian.org>  Thu, 14 May 2020 06:29:30 +0900

sphinx-intl (2.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Hideki Yamane ]
  * New upstream release 2.0.1
  * debian/control
    - set Standards-Version: 4.5.0

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Apr 2020 18:51:06 +0900

=== debian/control ===
Source: sphinx-intl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/sphinx-doc/sphinx-intl
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-intl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-intl
Rules-Requires-Root: no

Package: sphinx-intl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Enhances: python3-sphinx
Description: translation support utility for Sphinx
 sphinx-intl is a utility tool that provides several features that make it
 easy to translate and to apply translation to Sphinx generated document.
 .
 (Optional: support the Transifex service for translation with Sphinx)

=== debian/watch ===
--- 
+++ 
@@ -2,4 +2,5 @@
 version=4
 
 # PyPI
+opts="uversionmangle=s/.dev/~dev/;" \
 https://pypi.debian.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## sphinx-intl 2.3.0

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme>=1.3
sphinx-click
sphinx-lint
.

=== debian/changelog ===
sphinx-intl (2.3.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.3.0
  * Remove patch applied upstream
  * Switch to pybuild-plugin-pyproject (Closes: #1083779)
  * Enable most build-time tests

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Nov 2024 17:44:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,14 @@
 Uploaders: Hideki Yamane <henrich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-babel <!nocheck>,
+               python3-click <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-sphinx <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/sphinx-doc/sphinx-intl
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-intl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-intl

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_TEST_ARGS=-k 'not test_update_txconfig_resources'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PyPI
opts="uversionmangle=s/.dev/~dev/;" \
https://pypi.debian.net/sphinx-intl/sphinx[-_]intl-@ANY_VERSION@@ARCHIVE_EXT@
